sailpoint.object

## Class BaseAttributeDefinition

- java.lang.Object
- - sailpoint.object.BaseAttributeDefinition

Direct Known Subclasses:
  AttributeDefinition, Field

    public abstract class BaseAttributeDefinition
    extends java.lang.Object

### Field Summary

Fields
`protected java.util.List<java.lang.Object>` `_allowedValues`
`protected java.lang.String` `_categoryName`
`protected boolean` `_required`
`static java.lang.String` `TYPE_BOOLEAN`
`static java.lang.String` `TYPE_DATE`
`static java.lang.String` `TYPE_INT`
`static java.lang.String` `TYPE_LONG`
`static java.lang.String` `TYPE_PERMISSION`
`static java.lang.String` `TYPE_SECRET`
`static java.lang.String` `TYPE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`BaseAttributeDefinition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCategoryName()`
`java.lang.Object` `getDefaultValue()`
`java.lang.String` `getDescription()`
`java.lang.String` `getDisplayName()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`boolean` `isMulti()`
`boolean` `isMultiValued()`
`boolean` `isRequired()`
`void` `setCategoryName(java.lang.String categoryName)`
`void` `setDefaultValue(java.lang.Object defaultValue)`
`void` `setDescription(java.lang.String description)`
`void` `setDisplayName(java.lang.String name)`
`void` `setMulti(boolean b)`
`void` `setMultiValued(boolean b)`
`void` `setName(java.lang.String name)`
`void` `setRequired(boolean required)`
`void` `setType(java.lang.String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_STRING

    public static final java.lang.String TYPE_STRING

See Also:
  Constant Field Values

#### TYPE_SECRET

    public static final java.lang.String TYPE_SECRET

See Also:
  Constant Field Values

#### TYPE_LONG

    public static final java.lang.String TYPE_LONG

See Also:
  Constant Field Values

#### TYPE_INT

    public static final java.lang.String TYPE_INT

See Also:
  Constant Field Values

#### TYPE_BOOLEAN

    public static final java.lang.String TYPE_BOOLEAN

See Also:
  Constant Field Values

#### TYPE_DATE

    public static final java.lang.String TYPE_DATE

See Also:
  Constant Field Values

#### TYPE_PERMISSION

    public static final java.lang.String TYPE_PERMISSION

See Also:
  Constant Field Values

#### _categoryName

    protected java.lang.String _categoryName

#### _allowedValues

    protected java.util.List<java.lang.Object> _allowedValues

#### _required

    protected boolean _required

### Constructor Detail

#### BaseAttributeDefinition

    public BaseAttributeDefinition()

### Method Detail

#### getName

    public java.lang.String getName()

#### setName

    public void setName(java.lang.String name)

#### getDisplayName

    public java.lang.String getDisplayName()

#### setDisplayName

    public void setDisplayName(java.lang.String name)

#### getType

    public java.lang.String getType()

#### setType

    public void setType(java.lang.String type)

#### isMulti

    public boolean isMulti()

#### setMulti

    public void setMulti(boolean b)

#### isMultiValued

    public boolean isMultiValued()

#### setMultiValued

    public void setMultiValued(boolean b)

#### getDescription

    public java.lang.String getDescription()

#### setDescription

    public void setDescription(java.lang.String description)

#### getCategoryName

    public java.lang.String getCategoryName()

#### setCategoryName

    public void setCategoryName(java.lang.String categoryName)

#### isRequired

    public boolean isRequired()

#### setRequired

    public void setRequired(boolean required)

#### getDefaultValue

    public java.lang.Object getDefaultValue()

#### setDefaultValue

    public void setDefaultValue(java.lang.Object defaultValue)